Page MenuHomePhabricator

Add support for abstract domain sockets.
ClosedPublic

Authored by ovyalov on Oct 21 2015, 9:06 PM.

Details

Reviewers
clayborg
labath
Summary

Abstract domain sockets are supported only by Linux (at least, as documentation says) so I'm putting new socket class into linux subfolder.
Since there is a possibility that abstract namespace might be provided by other posix platforms it might be useful to link it with linux-independent URL scheme - i.e. "unix-abstract-connect".

Diff Detail

Event Timeline

ovyalov updated this revision to Diff 38084.Oct 21 2015, 9:06 PM
ovyalov retitled this revision from to Add support for abstract domain sockets..
ovyalov updated this object.
ovyalov added reviewers: clayborg, labath.
ovyalov added a subscriber: lldb-commits.
labath accepted this revision.Oct 22 2015, 2:14 AM
labath edited edge metadata.

lgtm

This revision is now accepted and ready to land.Oct 22 2015, 2:14 AM
clayborg accepted this revision.Oct 22 2015, 9:25 AM
clayborg edited edge metadata.

Looks good. At some point we should add these to the PluginMananger and have new instances found by having them register URL prefixes which match up with CreateInstance methods that are given the URL.

Looks good. At some point we should add these to the PluginMananger and have new instances found by having them register URL prefixes which match up with CreateInstance methods that are given the URL.

Thank you for the idea - I was planning to have a kind of URL-based factory inside lldb-server/Acceptor and PluginManager looks as a way to go.
If we're going to make Socket class a plugin should we then move all implementations into source/Plugins/Socket folder?

Looks good. At some point we should add these to the PluginMananger and have new instances found by having them register URL prefixes which match up with CreateInstance methods that are given the URL.

Thank you for the idea - I was planning to have a kind of URL-based factory inside lldb-server/Acceptor and PluginManager looks as a way to go.
If we're going to make Socket class a plugin should we then move all implementations into source/Plugins/Socket folder?

Yes.

labath closed this revision.Dec 7 2015, 3:11 AM

I believe this has landed a while back.